@font-face {
  font-family: 'Newsreader';
  src: url('/static/fonts/Newsreader.ttf');
  font-weight: normal;
  font-style: normal;
}

/* core stuff */
html {
    background: #171613;
}

body {
    margin: auto;
    margin-bottom: 100px;
    font-size: 1em;
    color: #e0ddda;
    font-family: "Newsreader" !important;
    margin-top: 30px;
}

h1:before {
    color: #4c4440;
}

h1 {
    font-family: "Newsreader";
    font-weight: normal;
    font-size: 2.5em;
    margin-bottom: 10px;
    margin-top: 50px;
}

h2 {
    font-family: "Newsreader";
    font-weight: normal;
    font-size: 2em;
}

li p {
    margin: 2px;
}

a {
    text-decoration: none;
    border-bottom: 2px solid #74472a;
    color: #cdbe96;
}

a:hover {
    border-bottom: 2px solid white;
}

a:visited {
    color: #8d8572;
    border-bottom: 2px solid #453123;
}

a:visited:hover {
    border-bottom: 2px solid #aaa;
}

hr {
  border:none;
  background-image: url("wiggle.png");
  background-repeat: repeat-x;
  background-size: auto 5px;
  background-position: top;
  height: 5px;
  opacity: 0.2;
  margin-top: 20px;
  margin-bottom: 20px;
}

/* top bit */
.mainpage {
    padding: 50px 10px;
    max-width: 720px;
    margin: auto;
}

.avatar {
    float: left;
    max-width: 234px;
    padding-right: 30px;
    margin: 0;
    margin-top: 0;
    padding-top: 0;
}

.social-links {
  display: flex;
  gap: 1rem;
  margin: 1.5rem 0;
  height: 40px;
}

.social-button {
  background-color: #2a2a2a;
  color: #c0b7b1;
  padding: 10px 0px;
  width: 100%;
  text-align: center;
  text-decoration: none;
  font-size: 1.0em;
  transition: all 0.05s ease;
  margin-top: 2px;
  position: relative;
  top: 0;
  border-bottom: none;
  cursor: pointer;
}

.social-button:hover {
  background-color: #3a3a3a;
  top: -2px;
  box-shadow: 0 2px 8px rgba(0,0,0,1);
}
.social-links img {
  display: inline;
    height: 1em;
    padding: 0;
    padding-right: 5px;
    vertical-align: middle;
    bottom: 2px;
    position: relative;
}

.social-button:hover {
  border-bottom: 2px solid #fff;
}

.social-button:visited:hover {
  border-bottom: 2px solid #fff;
}

.social-button:active {
  top: 0;
}

/* flexbox stuff idk */
.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  align-items: flex-start;
  gap: 12px;
}

.column {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  flex: 1;
}

/* projects boxes */
.game-entry-title {
    font-size: 2em;
    margin-top: 5px;
    display: block;
    font-weight: bold;
    margin-bottom: 0px;
}

.projects video, .projects img {
    max-width: 100%;
    padding: 10px 0;
    display: block;
    margin: 0 auto;
}

.project-tag {
    padding: 8px;
    background: #6d5a2d;
    border-radius: 5px;
    margin-top: 10px;
    font-weight: bold;
    width: fit-content;
    font-size: 0.8em;
}

.project {
    padding-bottom: 20px;
}

.projects .column {
    padding-top: 9px;
    padding-right: 15px;
}

.project-description {
    margin-top: 6px;
    padding-right: 0px !important;
}

/* responsive stuff */
@media screen and (max-width: 600px) {
    body {
        padding: 20px;
        margin: 0;
        font-size: 0.9em;
    }
    .game-entry-title {
        margin-left: 0;
    }
    .projects .column {
        width: 100%;
        flex: auto;
        padding-right: 0px !important;
    }
    .game-entry-title a {
        display: block;
        width: 100%;
    }
    .project-tag {
        width: 100%;
        box-sizing: border-box;
    }
    .mainpage {
        padding: 20px 10px;
        max-width: 700px;
        margin: auto;
    }
}

/* squidge the buttons before we squidge the projects tbh */
@media screen and (max-width: 900px) {
  .avatar {
    float: none;
  }
  .social-button:hover {
    border-bottom: 0px;
  }
  .social-links {
    display: block;
    height: auto;
  }
  .social-button {
    display: block;
    margin: 5px 0px;
  }
}